/*------------------------------------------------------------------------------------------*/
/*                                                                                          */
/*		WICSLIB		(Windows Interface Construction Set Libraries)							*/
/*		Common Dialog Box Dynamic Link Library												*/
/*		Version 1.00																		*/
/*																							*/
/*------------------------------------------------------------------------------------------*/
/*                                                                                          */
/*		Copyright  1993 Microdyne Development Technologies									*/
/*		All Rights Reserved.																*/
/*                                                                                          */
/*------------------------------------------------------------------------------------------*/
/*                                                                                          */
/*		WCDRC.H	-	Resource Include File for WCD											*/
/*                                                                                          */
/*		Abstract	This file is to be included in the resource file (.RC) that defines the */
/*					dialog boxes and other controls for the WCD.DLL.						*/
/*																							*/  
/*------------------------------------------------------------------------------------------*/

#ifndef _WCDRC_H
#define _WCDRC_H

//------------------------------------------------------------------------------------------
//		Defines for the Common Dialog Templates
//------------------------------------------------------------------------------------------

#define STDFILEOPEN				500
#define STDFILESAVE				501
#define STDCHOOSECOLOR			502
#define COLORPALETTE_DIALOG		503
#define INVALID_FILE_DLG		504
#define FILENOTFOUND_DLG		505
#define PATHNOTFOUND_DLG		506
#define FILECREATE_DLG			507
#define CLRSAMPLE_DIALOG		508
#define CLRSELPLATE_DIALOG		509
#define FILEERROR_DIALOG		510
#define STDCHOOSEFONT			511
#define MULTIFILEOPEN			512
#define FILEEXISTS_DIALOG		513
#define FINDTEXT_DIALOG			514
#define STDPRINT				515
#define REPLACETEXT_DIALOG		516
#define STDPRINTERSETUP			517

//------------------------------------------------------------------------------------------
//		Defines for the Common Dialog Controls
//------------------------------------------------------------------------------------------

#define ID_FILELIST				100
#define ID_TABLELIST			101
#define ID_FILETYPES			102
#define ID_DRIVES				103
#define ID_CONTROLID			104
#define ID_CONTROLDISP			105
#define ID_VISIBLE				106
#define ID_GROUP				107
#define ID_DISABLED				108
#define ID_TABSTOP				109
#define ID_COLORPALETTE			110
#define ID_RED					111
#define ID_GREEN				112
#define ID_BLUE					113
#define ID_HUE					114
#define ID_SATURATION			115
#define ID_LUMINOSITY			116
#define ID_LUMBAR				117
#define ID_BASICCOLORS			118
#define ID_CUSTOMCOLORS			119
#define ID_EXAMPLE				120
#define ID_DIRECTORIES			121
#define ID_FILENAME				122
#define ID_READONLYBACKGROUND	123
#define ID_FINDWHAT				124
#define ID_WHOLEWORD			125
#define ID_MATCHCASE			126
#define ID_UP					127
#define ID_DOWN					128
#define ID_REPLACEWITH			129
#define ID_DEFAULTPRINTER		130
#define ID_SPECIFICPRINTER		131
#define ID_ALLPAGES				131
#define ID_SELECTION			132
#define ID_PAGES				133
#define ID_FROMPAGE				134
#define ID_TOPAGE				135
#define ID_PRINTQUALITY			136
#define ID_PRINTTOFILE			137
#define ID_COPIES				138
#define ID_COLLATE				139
#define ID_PRINTERNAME			141
#define ID_PRINTERLIST			142
#define ID_STYLEICON			143
#define ID_PORTRAIT				144
#define ID_LANDSCAPE			145
#define ID_PAPERSIZE			146
#define ID_PAPERSOURCE			147

//------------------------------------------------------------------------------------------
//		Defines for bitmaps, cursors, and other odds and ends
//------------------------------------------------------------------------------------------

#define BT_OFN_AND				300
#define BT_OFN_OR				301
#define BT_CLRSAMPLEBITS		302
#define BT_CLRSELBITS			303
#define BT_DEFBITS				304
#define CR_DEFCURS				305
#define COLORSELECTOR			306
#define ARROW_OR				307
#define ARROW_AND				308
#define CROSSHAIR_CURSOR		309
#define TT_NORMAL_BITMAP		310
#define TT_MASK_BITMAP			311
#define IDI_PORTRAIT			312
#define IDI_LANDSCAPE			313

#endif

